
QGIS Application - Bug report #19789

while panning and moving QGIS just crashed...

2018-09-06 07:03 PM - Massimo A 

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.2.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27614

Description

User Feedback

Report Details

Crash ID: 4721b46b39ccb4d62925fe6d6c96f9aa1869bdf9

Stack Trace

QIODevice::channelReadyRead :

QIODevice::write :

QNetworkReply::url :

QNetworkReply::uploadProgress :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

QEventLoop::exec :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::copy :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::cend :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererCustomPainterJob::renderSynchronously :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2
Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-06 09:05 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category changed from Unknown to Map Canvas

- Status changed from Open to Feedback

- Priority changed from Normal to High

Does it happens 100% of times? only with a specific project/data? any project/data?

#2 - 2018-09-06 09:05 PM - Giovanni Manghi

Please also try removing any 3rd party plugin and/or using a clean profile.

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-09 01:57 PM - Massimo A 

Giovanni Manghi wrote:

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

It seems resoved now...

Thanks

#5 - 2018-11-09 02:00 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
